Nevertheless Published Mine
Unleash awesomeness. Private packages, team management tools, and powerful integrations. Get started with npm Orgs »

ternary

1.0.0 • Public • Published

ternary Build Status

Build a ternary statement

Install

$ npm install --save ternary

Usage

var ternary = require('ternary')
 
ternary('condition', 'whenTruthy' : 'whenFalsy')
//=> condition ? whenTruthy : whenFalsy

API

ternary(condition, expr1, expr2) -> string

condition

Required
Type: string

The ternary condition.

expr1

Required
Type: string

The expression to use when the condition is truthy.

expr2

Required
Type: string

The expression to use when the condition is falsy.

License

MIT © Ben Drucker

install

npm i ternary

Downloadsweekly downloads

46,400

version

1.0.0

license

MIT

homepage

github.com

repository

Gitgithub

last publish

collaborators

  • avatar
Report a vulnerability